Name:           libtelepathy
Version:        0.3.3
Release:        3%{?dist}
Summary:        A GLib library to ease writing telepathy clients

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/    
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel >= 0.93
BuildRequires:  dbus-glib-devel >= 0.73
BuildRequires:	telepathy-glib-devel >= 0.7.1
BuildRequires:  libxslt
BuildRequires:	python


%description
A GLib library to ease writing telepathy clients in glib.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       dbus-devel >= 0.93
Requires:       dbus-glib-devel >= 0.73
Requires:	telepathy-glib-devel >= 0.7.1
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README 
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/telepathy-1.0/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3.
- Bump min requirement for tp-glib-devel.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-3
- Rebuild for gcc-4.3.

* Sat Nov 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-2
- Add BR on python.

* Fri Nov 23 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1.
- Add min. version needed for dbus & dbus-glib.
- Add BR on telepathy-glib-devel.

* Mon Oct  1 2007 Matej Cepl <mcepl@redhat.com> - 0.2.0-1
- New upstream version.

* Fri Sep  7 2007 Matej Cepl <mcepl@redhat.com> - 0.0.57-1
- New upstream version.

* Thu Jun 14 2007 John (J5) Palmieri <johnp@redhat.com> - 0.0.55-1
- Update to 0.0.55

* Fri Apr 13 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.53-1
- Update to 0.0.53.

* Fri Apr 13 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.52-1
- Update to 0.0.52.

* Wed Feb 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.51-1
- Update to 0.0.51.
- Add BR on libxslt.

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.42-1
- Update to 0.0.42.

* Fri Dec 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.41-1
- Update to 0.0.41.

* Fri Dec  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.40-1
- Update to 0.0.40.

* Wed Nov 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.39-1
- Update to 0.0.39.

* Thu Oct 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.38-1
- Update to 0.0.38.

* Tue Sep 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.37-1
- Update to 0.0.37.

* Mon Aug 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.31-1
- Intial FE spec.

